Cantera 2.6.0

Classes | Namespaces
GeneralMatrix.h File Reference

Declarations for the class GeneralMatrix which is a virtual base class for matrices handled by solvers (see class Numerical Utilities within Cantera and GeneralMatrix). More...

`#include "cantera/base/ct_defs.h"`
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/global.h"`
Include dependency graph for GeneralMatrix.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GeneralMatrix
| Generic matrix. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Detailed Description

Declarations for the class GeneralMatrix which is a virtual base class for matrices handled by solvers (see class Numerical Utilities within Cantera and GeneralMatrix).

Definition in file GeneralMatrix.h.